Package org.apache.sling.jcr.base.internal.mount

## Class ProxyJackrabbitAccessControlManager

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<T>
  - - org.apache.sling.jcr.base.internal.mount.ProxyAccessControlManager<org.apache.jackrabbit.api.security.JackrabbitAccessControlManager>
    - - org.apache.sling.jcr.base.internal.mount.ProxyJackrabbitAccessControlManager

All Implemented Interfaces:
  `javax.jcr.security.AccessControlManager`, `org.apache.jackrabbit.api.security.JackrabbitAccessControlManager`

    public class ProxyJackrabbitAccessControlManager
    extends ProxyAccessControlManager<org.apache.jackrabbit.api.security.JackrabbitAccessControlManager>
    implements org.apache.jackrabbit.api.security.JackrabbitAccessControlManager

### Constructor Summary

Constructors
`ProxyJackrabbitAccessControlManager​(ProxySession<?> mountSession, org.apache.jackrabbit.api.security.JackrabbitAccessControlManager delegate, org.apache.jackrabbit.api.security.JackrabbitAccessControlManager mount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.jackrabbit.api.security.JackrabbitAccessControlPolicy[]` `getApplicablePolicies​(Principal principal)`
`javax.jcr.security.AccessControlPolicy[]` `getEffectivePolicies​(Set<Principal> principals)`
`org.apache.jackrabbit.api.security.JackrabbitAccessControlPolicy[]` `getPolicies​(Principal principal)`
`javax.jcr.security.Privilege[]` `getPrivileges​(String absPath, Set<Principal> principals)`
`boolean` `hasPrivileges​(String absPath, Set<Principal> principals, javax.jcr.security.Privilege[] privileges)`

### Methods inherited from class org.apache.sling.jcr.base.internal.mount.ProxyAccessControlManager

`getApplicablePolicies, getEffectivePolicies, getPolicies, getPrivileges, getSupportedPrivileges, hasPrivileges, privilegeFromName, removePolicy, setPolicy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.jcr.security.AccessControlManager

`getApplicablePolicies, getEffectivePolicies, getPolicies, getPrivileges, getSupportedPrivileges, hasPrivileges, privilegeFromName, removePolicy, setPolicy`

### Constructor Detail

#### ProxyJackrabbitAccessControlManager

    public ProxyJackrabbitAccessControlManager​(ProxySession<?> mountSession,
                                               org.apache.jackrabbit.api.security.JackrabbitAccessControlManager delegate,
                                               org.apache.jackrabbit.api.security.JackrabbitAccessControlManager mount)

### Method Detail

#### getApplicablePolicies

    public org.apache.jackrabbit.api.security.JackrabbitAccessControlPolicy[] getApplicablePolicies​(Principal principal)
                                                                                             throws javax.jcr.AccessDeniedException,
                                                                                                    javax.jcr.security.AccessControlException,
                                                                                                    javax.jcr.UnsupportedRepositoryOperationException,
                                                                                                    javax.jcr.RepositoryException

Specified by:
  `getApplicablePolicies` in interface `org.apache.jackrabbit.api.security.JackrabbitAccessControlManager`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.security.AccessControlException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### getPolicies

    public org.apache.jackrabbit.api.security.JackrabbitAccessControlPolicy[] getPolicies​(Principal principal)
                                                                                   throws javax.jcr.AccessDeniedException,
                                                                                          javax.jcr.security.AccessControlException,
                                                                                          javax.jcr.UnsupportedRepositoryOperationException,
                                                                                          javax.jcr.RepositoryException

Specified by:
  `getPolicies` in interface `org.apache.jackrabbit.api.security.JackrabbitAccessControlManager`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.security.AccessControlException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### getEffectivePolicies

    public javax.jcr.security.AccessControlPolicy[] getEffectivePolicies​(Set<Principal> principals)
                                                                  throws javax.jcr.AccessDeniedException,
                                                                         javax.jcr.security.AccessControlException,
                                                                         javax.jcr.UnsupportedRepositoryOperationException,
                                                                         javax.jcr.RepositoryException

Specified by:
  `getEffectivePolicies` in interface `org.apache.jackrabbit.api.security.JackrabbitAccessControlManager`
Throws:
  `javax.jcr.AccessDeniedException`
  `javax.jcr.security.AccessControlException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### hasPrivileges

    public boolean hasPrivileges​(String absPath,
                                 Set<Principal> principals,
                                 javax.jcr.security.Privilege[] privileges)
                          throws javax.jcr.PathNotFoundException,
                                 javax.jcr.AccessDeniedException,
                                 javax.jcr.RepositoryException

Specified by:
  `hasPrivileges` in interface `org.apache.jackrabbit.api.security.JackrabbitAccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### getPrivileges

    public javax.jcr.security.Privilege[] getPrivileges​(String absPath,
                                                        Set<Principal> principals)
                                                 throws javax.jcr.PathNotFoundException,
                                                        javax.jcr.AccessDeniedException,
                                                        javax.jcr.RepositoryException

Specified by:
  `getPrivileges` in interface `org.apache.jackrabbit.api.security.JackrabbitAccessControlManager`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`